using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SelectPdf;

namespace SelectPdf.Samples
{
    public partial class document_properties : System.Web.UI.Page
    {
        protected void BtnCreatePdf_Click(object sender, EventArgs e)
        {
            // create a new pdf document
            PdfDocument doc = new PdfDocument();

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create a new text element and add it to the page
            PdfTextElement text = new PdfTextElement(50, 50, 
                "Select.Pdf for .NET - Document Properties Sample", font);
            page.Add(text);

            // set the document properties
            doc.DocumentInformation.Title = "Select.Pdf for .NET Sample";
            doc.DocumentInformation.Author = "Select.Pdf Samples";
            doc.DocumentInformation.Subject = "Select.Pdf Library Samples";
            doc.DocumentInformation.Keywords = "pdf library, sample code";
            doc.DocumentInformation.CreationDate = DateTime.Now;

            // save pdf document
            doc.Save(Response, false, "Sample.pdf");

            // close pdf document
            doc.Close();
        }
    }
}